Results 1 to 5 of 5

Thread: Will Intel's Ivy Bridge Be Trouble-Free On Linux?

  1. #1
    Join Date
    Jan 2007
    Posts
    15,093

    Default Will Intel's Ivy Bridge Be Trouble-Free On Linux?

    Phoronix: Will Intel's Ivy Bridge Be Trouble-Free On Linux?

    It was nearly one year ago to the day that Intel launched their Sandy Bridge processors. While these CPUs with much-improved integrated graphics are now wildly popular for Linux users (and Microsoft Windows users, too), it wasn't without a rough start. But how will Intel's upcoming Ivy Bridge launch fair under Linux as the successor to Sandy Bridge?..

    http://www.phoronix.com/vr.php?view=MTAzODk

  2. #2
    Join Date
    Aug 2007
    Posts
    6,641

    Default

    Compared to binary drivers (and radeon oss) usually intel oss drivers are much more problematic to backport. Intel devs seem to care only about absolutely latest xservers, when used with older ones you get lots of crashes - even if you are able to compile em as those new xservers are no build depends. So you are most likely forced to use absolutely latest code, not sure if U 11.04 will be new enough.

  3. #3
    Join Date
    Jul 2011
    Location
    florida usa
    Posts
    81

    Default

    5th paragraph sentence 2 "Ivy Bridge Linux support has been hacked on going back to early 2011 with most of the components having been in the mainline trees (Linux kernel, libdrm, Mesa, xf86-video-ati) for months."
    pretty sure xf86-video-ati wont have much effect on Ivy Bridge at all.

  4. #4
    Join Date
    Sep 2010
    Posts
    147

    Default

    Now on my way to CES2012, I'm left wondering how Ivy Bridge will fair when it launches within a few months.
    Grammatical error of the day. "Fair" should be "fare".

    Sorry, I can't keep myself from pointing this out.

  5. #5
    Join Date
    Aug 2007
    Posts
    6,641

    Default

    Btw. i rewrote my script for libva, it could install the ivi bridge (vaapi-ext) branch as well when you remove some comment to switch the branch 2 times.

    http://kanotix.com/files/fix-libva-drivers.sh

    i use the new package name for intel and change xvba/vdpau to the same nameing scheme (when it is possible to use those).

    but with kanotix squeeze + backports at least xbmc crashes after one movie played via vaapi on intel. you can check the drivers with

    vainfo

    the default is 1.0.16pre, if you change to vaapi-ext (for ivi) then it is 1.0.15pre. maybe gb could fix the issues... xbmc + vdpau via vaapi crashes immediately btw, works only for vlc.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •